package app;

import java.awt.Color;
import wfe.game.GameManagerScreen;
import wfe.game.screen.ScreenGUI;
import wfe.game.screen.ui.WButton;
import wfe.game.screen.ui.WGUI;

/**
 * @author Death
 */
public class MenuScreen extends ScreenGUI{

    @Override
    public void init(GameManagerScreen game){
        super.init(game); //To change body of generated methods, choose Tools | Templates.
        
        //Настраиваем панель
        panelGUI.colorBackground = new Color(255, 255, 255, 10);
        panelGUI.colorRect = new Color(255, 0, 0);
        panelGUI.setSize(120, 100);
        panelGUI.setLocation(game.engine.WIDTH / 2 - 120 / 2, 20);
       
        //Создаём шаблон кнопки
        WButton bt = new WButton("");
        bt.colorRect = new Color(255, 0, 0);
        bt.colorBackground = new Color(255, 255, 255, 50);
        bt.colorText = new Color(0, 0, 50);
        bt.colorBackPressedMouse = new Color(100, 10, 10, 50);//Нажатие
        bt.colorBackgroundNext = new Color(10, 10, 100, 50);//Движение
        bt.setSize(100, 25);
        panelGUI.buttonClone = bt;//Кнопка для кланирования )))
        
        WButton newGame = panelGUI.newButton("Новая игра", 10, 10);
        newGame.activeWGUI = new WGUI.ActiveWGUI() {
            @Override
            public void active(String text){
                game.setScreen(new GameScreen());
            }
        };
        WButton exitGame = panelGUI.newButton("Выход", 10, 10 + 25 + 5);
        exitGame.activeWGUI = new WGUI.ActiveWGUI() {
            @Override
            public void active(String text){
                System.exit(0);
            }
        };
    }
}
