package app;

import wfe.Engine;
import wfe.SettingEngine;
import wfe.game.GameManagerScreen;

/**
 *
 * @author all
 */
public class Main {

    public static Engine engine;
    public static GameManagerScreen gms;
    public static SettingEngine setting;
    public static BackgroundApp background;

    public static void main(String[] args) {
        //Настройка окна
        setting = new SettingEngine();
        setting.width = 680;
        setting.height = 480;
        setting.title = "Example WFireEngine";
        setting.antialias = true;// Сглаживание по умолчанию выключено
        
        gms = new GameManagerScreen();//Создаем Manager
        engine = new Engine(setting); //Сам движок
        engine.setGameManageScreen(gms);
        
        background = new BackgroundApp();//     Добовляем
        engine.setBackground(background);//         фон
        
        gms.setScreen(new MenuScreen());//Изменяем экран для рендера
        
        engine.run();//Запускаем
    }

}
